diff --git a/changelog b/changelog
index 8935653..6f8b253 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091009 tpd src/axiom-website/patches.html 20091009.06.tpd.patch
+20091009 tpd src/interp/slam.lisp cleanup
 20091009 tpd src/axiom-website/patches.html 20091009.05.tpd.patch
 20091009 tpd src/interp/clam.lisp cleanup
 20091009 tpd src/axiom-website/patches.html 20091009.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 97a74fe..a3541d9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2145,5 +2145,7 @@ src/interp/clammed.lisp cleanup<br/>
 src/interp/clam.lisp cleanup<br/>
 <a href="patches/20091009.05.tpd.patch">20091009.05.tpd.patch</a>
 src/interp/clam.lisp cleanup<br/>
+<a href="patches/20091009.06.tpd.patch">20091009.06.tpd.patch</a>
+src/interp/slam.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/slam.lisp.pamphlet b/src/interp/slam.lisp.pamphlet
index 60a88a0..8f14a53 100644
--- a/src/interp/slam.lisp.pamphlet
+++ b/src/interp/slam.lisp.pamphlet
@@ -91,6 +91,9 @@
             |secondPredPair| |thirdPredPair| |codeBody| |lamex|
             |mainFunction| |computeFunction| |cacheType|
             |cacheResetCode| |cacheCountCode| |cacheVector|)
+  (declare (special |$e| |$compileRecurrence| |$minivector| |$minivectorCode|
+                    |$compilingInputFile| |$minivectorNames|
+                    |$compiledOpNameList|))
     (RETURN
       (PROGN
         (SPADLET |$compiledOpNameList| (CONS |nam| NIL))
@@ -265,6 +268,7 @@
 
 (DEFUN |getCacheCount| (|fn|)
   (PROG (|n|)
+  (declare (special |$cacheCount| |$cacheAlist|))
     (RETURN
       (COND
         ((SPADLET |n| (LASSOC |fn| |$cacheAlist|)) |n|)
@@ -305,6 +309,7 @@
                  |secondPredPair| |thirdPredPair| |codeBody| |lamex|
                  |mainFunction| |computeFunction| |cacheType|
                  |cacheResetCode| |cacheCountCode| |cacheVector|)
+  (declare (special |$e|))
     (RETURN
       (PROGN
         (|sayKeyedMsg| 'S2IX0004 (CONS |op| NIL))
@@ -417,6 +422,7 @@
 
 (DEFUN |mkCircularAlist| (|n|)
   (PROG (|l|)
+  (declare (special |$failed|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |l|
@@ -584,6 +590,7 @@
 ;;;     ***       |compileRecurrenceRelation| REDEFINED
 
 (DEFUN |compileRecurrenceRelation| (|op| |nam| |argl| |junk| G166238)
+  (declare (ignore |junk|))
   (PROG (|body| |sharpArg| |n| |initCode| |k| |extraArguments| |x|
                 |extraArgumentCode| |g| |gIndex| |gsList| |auxfn|
                 |stateNam| |stateVar| |stateVal| |lastArg|
@@ -596,6 +603,7 @@
                 |phrase2| |phrase3| |phrase4| |phrase5| |mbody|
                 |mainFunction| |cacheType| |cacheCountCode|
                 |cacheVector|)
+  (declare (special |$e| |$TriangleVariableList| |$compiledOpNameList|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |body| (CAR G166238))
@@ -1092,6 +1100,7 @@
 
 (DEFUN |clearCache| (|x|)
   (PROG (|map| |sub|)
+  (declare (special |$e| |$mapSubNameAlist|))
     (RETURN
       (SEQ (COND
              ((OR (|get| |x| '|localModemap| |$e|)
@@ -1142,6 +1151,7 @@
 
 (DEFUN |clearLocalModemaps| (|x|)
   (PROG (|u| |fn| |def| |cacheVec|)
+  (declare (special |$e| |$EmptyMode| |$mapSubNameAlist|))
     (RETURN
       (SEQ (COND
              ((SPADLET |u| (|get| |x| '|localModemap| |$e|))
@@ -1198,6 +1208,7 @@
 
 (DEFUN |compileInteractive| (|fn|)
   (PROG (|optfn| |result|)
+  (declare (special |$InteractiveMode| |$reportCompilation|))
     (RETURN
       (PROGN
         (COND
@@ -1234,6 +1245,7 @@
 
 (DEFUN |clearAllSlams,fn| (|thoseToClear| |thoseCleared|)
   (PROG (|slamListName| |someMoreToClear|)
+  (declare (special |$functorDependencyAlist|))
     (RETURN
       (SEQ (DO ((G166513 |thoseToClear| (CDR G166513)) (|x| NIL))
                ((OR (ATOM G166513)
